import { Observable } from 'rxjs';
export declare class MccColorPickerService {
    private emptyColor;
    private usedColors;
    /**
     * Array of all used colors
     */
    private _colors;
    /**
     * Hold current selected color
     */
    private _selectedColor;
    constructor(emptyColor: string, usedColors: string[]);
    /**
     * Add new color to used colors
     * @param color string
     */
    addColor(color: string): void;
    /**
     * Return Observable of colors
     */
    getColors(): Observable<string[]>;
    /**
     * Reset the array of used colors
     */
    resetUseColors(): void;
    /**
     * Change internal selected color
     * @param color
     */
    changeSelectedColor(color: string): void;
    /**
     * Return internal selected color
     */
    getSelectedColor(): Observable<string>;
}
